# ResolveFormTypeTask

Resolves a form type to an extraction task identifier.

`GET /api/v2/form-type-mappings/resolve-task`

**API:** AvaTax API
**Tag:** FormTypeMapping
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/FormTypeMapping/ResolveFormTypeTask/

## Description

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
* This API depends on the following active services:*Required* (all):  AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `form_type` | string | query | No | The form type to resolve (e.g., "W-9"). |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `FormTypeMappingModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `FormTypeMappingModel`

Represents the resolved extraction task information for a given form type.

| Property | Type | Required | Description |
|---|---|---|---|
| `taskId` | string | No | The extraction task identifier resolved from the form type. Example: `extract_w9`. |
| `formType` | string | No | The form type that was resolved. Example: `W-9`. |
| `mappedKey` | string | No | The mapped key associated with the form type. Example: `w9_extraction`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/form-type-mappings/resolve-task" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```